Skip to content

Return the current workspace user profile.

GET
/api/workspace/auth/me
curl --request GET \
--url https://example.com/api/workspace/auth/me

Locale is resolved from the workspace settings.

  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Workspace user profile response.

object
UserId
required

Workspace user identifier.

string
nullable
UserName
required

User login name.

string
nullable
Email

User email address.

string
nullable
FirstName

User first name.

string
nullable
LastName

User last name.

string
nullable
UserType
required
integer format: int32
Allowed values: 0 1 2
WorkspaceName
required

Workspace slug identifier.

string
nullable
Locale
required

Workspace locale code.

string
nullable
TimeZone
required

Workspace time zone identifier.

string
nullable
DateTimeFormat
required

Workspace date-time format pattern.

string
nullable
DateFormat
required

Workspace date format pattern.

string
nullable
TimeFormat
required

Workspace time format pattern.

string
nullable
RegionCode

Workspace routing region code.

string
nullable
OnboardingStatus
required
integer format: int32
Allowed values: 0 1 2
Roles
required

Role names assigned to the user.

Array<string>
nullable
Permissions
required

Permission keys assigned to the user.

Array<string>
nullable
Modules
required

Typed module availability snapshot included in the authenticated user context.

object
Boards

Availability state for one workspace module in the authenticated user context.

object
Enabled
boolean
Booking

Availability state for one workspace module in the authenticated user context.

object
Enabled
boolean
CurrencyRates

Availability state for one workspace module in the authenticated user context.

object
Enabled
boolean
EntitlementOperations

Availability state for one workspace module in the authenticated user context.

object
Enabled
boolean
WorkInbox

Availability state for one workspace module in the authenticated user context.

object
Enabled
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"UserType": 0,
"OnboardingStatus": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}